Raised This Month: $319 Target: $400
 79%   Almost there!

FF2 Any updated ff2_1st_set_abilities for FF2 1.10.14?


Post New Thread Reply   
 
Thread Tools Display Modes
Author Message
Bugrahan96
Member
Join Date: Feb 2018
Location: vsh_crossfire_b9
Old 07-18-2020 , 04:36   Any updated ff2_1st_set_abilities for FF2 1.10.14?
Reply With Quote #1

The current ff2_1st_set_abilities of mine is from 2016. Which comes with the pack, I found that Ninja Spies rage_matrix_attack just too fast that the player even cant control it. I checked everything on config but the config seems to be okay. Heres the config of Ninja Spy.
"ability"
{
"name" "rage_matrix_attack"
"arg0" "-1"
"arg1" "1.2"
"arg2" "0.2"
"arg3" "0.1"
"plugin_name" "ff2_1st_set_abilities"
}
Also, Seeman's rage seems to broke him that does nothing and he can't even move. Any help would be appreciated.
Bugrahan96 is offline
Blad3z
Junior Member
Join Date: Jun 2020
Location: Finland
Old 07-18-2020 , 14:53   Re: Any updated ff2_1st_set_abilities for FF2 1.10.14?
Reply With Quote #2

I got kinda same problem except when you try to hit when the matrix attack is active ninja spy just launches upwards like firework and dies.
Blad3z is offline
NoloZero01
Junior Member
Join Date: May 2020
Location: Helios Station
Old 07-19-2020 , 05:22   Re: Any updated ff2_1st_set_abilities for FF2 1.10.14?
Reply With Quote #3

Can you please check your error log and make sure that the subplugin is functioning properly?
NoloZero01 is offline
Bugrahan96
Member
Join Date: Feb 2018
Location: vsh_crossfire_b9
Old 07-20-2020 , 08:06   Re: Any updated ff2_1st_set_abilities for FF2 1.10.14?
Reply With Quote #4

The subplugin seems to be working i only got this error code from one of latest error logs.

Code:
[freaks\ff2_1st_set_abilities.ff2] [FF2] Cannot give ammo to weapon tf_weapon_bottle (boss )-check your config!
I currently cant get into my pc but ill check the bosses works with this subplugin one by one with error logs.
Bugrahan96 is offline
ParaDLell
New Member
Join Date: Jun 2018
Old 07-24-2020 , 18:22   Re: Any updated ff2_1st_set_abilities for FF2 1.10.14?
Reply With Quote #5

I've also had seemans rage break after updating. From what I've been able to tell this is related to Sourcemod [IE his rage works on sourcemod 1.8.0.6041, but breaks when updated to sourcemod 1.10.0.6490]

Error Log from the console when attempting to execute the rage
Quote:
Exception reported: Invalid data pack type (got 3 / expected 1).
L 07/20/2020 - 13:49:47: [SM] Blaming: freaks/ff2_1st_set_abilities.ff2
L 07/20/2020 - 13:49:47: [SM] Call stack trace:
L 07/20/2020 - 13:49:47: [SM] [0] ReadPackCell
L 07/20/2020 - 13:49:47: [SM] [1] Line 510, ff2_1st_set_abilities.sp::Timer_Prepare_Explo sion_Rage
ParaDLell is offline
Bugrahan96
Member
Join Date: Feb 2018
Location: vsh_crossfire_b9
Old 07-25-2020 , 03:01   Re: Any updated ff2_1st_set_abilities for FF2 1.10.14?
Reply With Quote #6

Bump
Bugrahan96 is offline
Batfoxkid
Senior Member
Join Date: Nov 2018
Location: ''On the map''
Old 07-25-2020 , 23:16   Re: Any updated ff2_1st_set_abilities for FF2 1.10.14?
Reply With Quote #7

Quote:
Originally Posted by Bugrahan96 View Post
Bump
Please do not bump your thread without a real message.
__________________
Batfoxkid is offline
Bugrahan96
Member
Join Date: Feb 2018
Location: vsh_crossfire_b9
Old 07-29-2020 , 05:59   Re: Any updated ff2_1st_set_abilities for FF2 1.10.14?
Reply With Quote #8

Quote:
Originally Posted by Batfoxkid View Post
Please do not bump your thread without a real message.
Well sorry about that. Anyways here's the current problem I got for the bosses.
This issue seems like started because of updating to Sourcemod 1.10 A lot of people have an issue like this in their servers including me. I'm currently searching for a subplugin that works well with Sourcemod 1.10. If anyone has a compatible subplugin for the current 1.10.14 version of Freak Fortress 2 for Sourcemod 1.10 I would be so appreciated. Thanks again.
Bugrahan96 is offline
doroemon
Senior Member
Join Date: Dec 2009
Location: TF2 AFK Server
Old 07-29-2020 , 06:41   Re: Any updated ff2_1st_set_abilities for FF2 1.10.14?
Reply With Quote #9

Quote:
Originally Posted by Bugrahan96 View Post
Well sorry about that. Anyways here's the current problem I got for the bosses.
This issue seems like started because of updating to Sourcemod 1.10 A lot of people have an issue like this in their servers including me. I'm currently searching for a subplugin that works well with Sourcemod 1.10. If anyone has a compatible subplugin for the current 1.10.14 version of Freak Fortress 2 for Sourcemod 1.10 I would be so appreciated. Thanks again.
I'm curious about why you want keep using FF2 1.10.14 version,
and not try Unofficial Freak Fortress 1.19.9?
__________________
I'm just a guy who's a server operator for fun.
https://steamcommunity.com/groups/cfmsg
doroemon is offline
Blad3z
Junior Member
Join Date: Jun 2020
Location: Finland
Old 07-29-2020 , 12:15   Re: Any updated ff2_1st_set_abilities for FF2 1.10.14?
Reply With Quote #10

I've been struggling this full summer with this problem: My subplugins don't even work all they do is give an error "Illegal disk size" and yes i've tried re-compiling them, re-installing Sourcemod and changing between FF2 versions, but nothing works. I currently have Unofficial Freak Fortress 1.19.9 on my server.
Blad3z is offline
Reply


Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump


All times are GMT -4. The time now is 09:30.


Powered by vBulletin®
Copyright ©2000 - 2021, vBulletin Solutions, Inc.
Theme made by Freecode